# Supported Datasets

- [UCF101](https://www.crcv.ucf.edu/research/data-sets/ucf101/): See [preparing_ucf101](/tools/data/ucf101/README.md).
- [HMDB51](https://serre-lab.clps.brown.edu/resource/hmdb-a-large-human-motion-database/): See [preparing_hmdb51](/tools/data/hmdb51/README.md).
- [Kinetics-[400/600/700]](https://deepmind.com/research/open-source/kinetics): See [preparing_kinetics](/tools/data/kinetics/README.md)
- [THUMOS14](https://www.crcv.ucf.edu/THUMOS14/download.html): See [preparing_thumos14](/tools/data/thumos14/README.md)
- [Something-Something V1](https://20bn.com/datasets/something-something/v1): See [preparing_sthv1](/tools/data/sthv1/README.md)
- [Something-Something V2](https://20bn.com/datasets/something-something): See [preparing_sthv2](/tools/data/sthv2/README.md)
- [Moments in Time](http://moments.csail.mit.edu/): See [preparing_mit](/tools/data/mit/README.md)
- [Multi-Moments in Time](http://moments.csail.mit.edu/challenge_iccv_2019.html): See [preparing_mmit](/tools/data/mmit/README.md)
- [ActivityNet](http://activity-net.org/): See [praparing_activitynet](/tools/data/activitynet/README.md)
- [UCF101-24](http://www.thumos.info/download.html): See [preparing_ucf101_24](/tools/data/ucf101_24/README.md)
- [JHMDB](http://jhmdb.is.tue.mpg.de/): See [preparing_jhmdb](/tools/data/jhmdb/README.md)
- [HVU](https://github.com/holistic-video-understanding/HVU-Dataset): See [preparing_hvu](/tools/data/hvu/README.md)
- [Jester](https://20bn.com/datasets/jester/v1): See [preparing_jester](/tools/data/jester/README.md)
- [AVA](https://research.google.com/ava/index.html): See [preparing_ava](/tools/data/ava/README.md)
- [GYM](https://sdolivia.github.io/FineGym/): See [preparing_gym](/tools/data/gym/README.md)

The supported datasets are listed above.
We provide shell scripts for data preparation under the path `$MMACTION2/tools/data/`.
Below is the detailed tutorials of data deployment for each dataset.
